Package org.jfree.report.modules.factories.report.flow

# Class SectionReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
org.jfree.report.modules.factories.report.flow.SectionReadHandler

All Implemented Interfaces:
  `NodeReadHandler`, `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

Direct Known Subclasses:
  `DetailSectionReadHandler`, `GroupReadHandler`, `OutOfOrderSectionReadHandler`, `PageFooterReadHandler`, `PageHeaderReadHandler`, `ReportReadHandler`, `SubReportReadHandler`

public class SectionReadHandler extends AbstractElementReadHandler
Creation-Date: 09.04.2006, 14:45:57

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`SectionReadHandler()`
`SectionReadHandler(Section section)`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
This method is called to process the character data between element tags.
`protected void`
`configureElement(Element e)`
`protected void`
`doneParsing()`
Done parsing.
`protected Element`
`getElement()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler

`getNode, getObject, getStyle, init, isEnabled`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

`endElement, startElement`

## Constructor Details

### SectionReadHandler

public SectionReadHandler()

### SectionReadHandler

public SectionReadHandler(Section section)

## Method Details

### getElement

protected Element getElement()

Specified by:
  `getElement` in class `AbstractElementReadHandler`

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `AbstractElementReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### configureElement

protected void configureElement(Element e)

Overrides:
  `configureElement` in class `AbstractElementReadHandler`

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `AbstractElementReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### doneParsing

protected void doneParsing() throws SAXException
Done parsing.

Overrides:
  `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Throws:
  `SAXException` - if there is a parsing error.

### characters

public void characters(char[] ch, int start, int length) throws SAXException
This method is called to process the character data between element tags.

Specified by:
  `characters` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Overrides:
  `characters` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `ch` - the character buffer.
  `start` - the start index.
  `length` - the length.
Throws:
  `SAXException` - if there is a parsing error.